@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/* This is called CSS Custom Properties */
/* https://developer.mozilla.org/en-US/docs/Web/CSS/Using_CSS_custom_properties */
:root {
  --main-bg-color: #fcfcff;
  --color-black: #383838;
  --color-white: #ffffff;
  --color-blue-gray: #697586;
  --color-gray: #dfe1e3;
  --color-lilac: #b0a6bd;
  --color-pink: #f5a3b7;
  --color-light-pink: #fee2e3;
  --color-green: #7fccc6;
  --color-red: #e77373;
  --color-orange: #fdb64e;
  --gradient-start: rgba(144, 101, 188, 1);
  --gradiend-end: rgba(255, 0, 108, 0.38);
}

/* COMMON PAGE STYLES */
html {
  font-family: "Roboto", sans-serif;
  font-size: 16px;
  background-color: var(--main-bg-color);
  color: var(--color-white);
  height: 100vh;
}

body{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
main{
  position: relative;
  background: linear-gradient(245deg, var(--gradient-start) 0%, var(--gradiend-end) 100%);
  border-radius: 20px;
  box-shadow: 3px 2px 10px #00000050;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  overflow: hidden;
}

.weather-widget-main{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  height: 100%;
  padding: 70px 50px;
}

.weather-widget-header{
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  width: 100%;
  height: 100px;
}

.weather-widget-header--icon{
  font-size: 100px;
}

.weather-widget-degree{
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  width: 100%;
  font-weight: 100;
  font-size: 164px;
  letter-spacing: 0.025em;
}

.weather-widget-date {
  width: 100%;
  font-weight: 300;
  font-size: 40px;
  line-height: 120%;
}
.weather-widget-date span{
  font-size: 30px;
  margin-left: 4px;
}

.weather-widget-time{
  width: 100%;
  font-weight: 300;
  font-size: 36px;
  line-height: 120%;
}
.weather-widget-time span{
  font-size: 25px;
  margin-left: 20px;
  line-height: 120%;
  letter-spacing: 0.025em;
}
.weather-widget-params{
  font-weight: 300;
  font-size: 22px;
  line-height: 26px;
}

.weather-widget-params{
  position: relative;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 80px;
  margin-top: 20px;
}
.weather-widget-params--item{
  margin-right: 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  border-right: 2px solid var(--color-white);
}

.weather-widget-params--item:last-child{
  border-right: none;
}

.weather-widget-params--item-icon{
  margin-right: 15px;
  height: 20px;
  font-size: 20px;
}

.weather-widget-params--item-name, .weather-widget-params--item-value{
  margin-right: 20px;
}

.weather-widget-history{
  display: grid;
  grid-gap: 40px;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: 210px;
}

.weather-widget-history--item{
  min-width: 200px;
  width: 100%;
  height: 100%;
  border-radius: 10px;
  box-shadow: 3px 2px 10px #00000020;
  background: linear-gradient(245deg, #ffffff50 0%, #ffffff70 100%);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.weather-widget-history--item-degree{
  font-weight: 400;
  font-size: 24px;
  line-height: 28px;
  margin-bottom: 15px;
}

.weather-widget-history--item-icon{
  font-size: 60px;
}
.weather-widget-history--item-weekday{
  font-weight: 400;
  font-size: 24px;
  line-height: 28px;
  margin-top: 20px;
}
.weather-widget-degree span{
  font-weight: 200;
  font-size: 100px;
  color: #ffffff50;
  letter-spacing: 0.025em;
  line-height: 150%;
  margin-left: 30px;
}

.weather-widget-side{
  width: 500px;
  height: 820px;
  display: flex;
  flex-direction: column;
  background: #ffffff20;
  padding: 50px 30px;
}

.weather-widget-side--header{
  display: flex;
  justify-content: flex-start;
}
.weather-widget-side--header-icon{
  font-size: 40px;
  margin-right: 20px;
}
.weather-widget-side--header-title{
  font-weight: 300;
  font-size: 32px;
}
.image{
  width: 100%;
  border-radius: 20px;
  margin-top: 30px;
}
